#include <stdio.h>
#include <stdlib.h>


int main(){
int p, q, r;
long long int R, i, br=0, L,d1, d2, d3;


    scanf("%i",&p);
    scanf("%i",&q);
    scanf("%i",&r);
    scanf("%lli",&L);
    scanf("%lli",&R);
    for(i=L;i<=R;i++){

    if(i%p!=0)
            d1=i/p +1;
    else
        d1=i/p;
        if(i%q!=0)
            d2=i/q +1;
    else
        d2=i/q;
        if(i%r!=0)
            d3=i/r +1;
    else
        d3=i/r;
        if((d1+d2+d3)<=i)
            br++;
    }
    printf("%lli",br);
    return 0;
}